> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/dataseries.md).

# Dataseries

request resource to our datamarts

## POST /erp/statistics/time-series/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"dataseries","description":"request resource to our datamarts"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/statistics/time-series/{id}":{"post":{"tags":["dataseries"],"operationId":"processTimeSeries","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-statistic-DataSeriesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-statistic-DataSeries"}}}}}}}}},"components":{"schemas":{"erp-statistic-DataSeriesRequest":{"properties":{"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"step":{"type":"string","description":"defines the time-grouping for a query result","enum":["YEAR","QUARTER","MONTH","WEEK","DAY"]},"fillEmptyGroups":{"type":"boolean","default":false,"description":"sollen Zeiteinheiten ohne Datenwerte mit zurückgeliefert werden?"},"slice":{"type":"string","description":"defines the time-slice for a query","enum":["CURRENT_YEAR","CURRENT_AND_LAST_YEAR","CURRENT_AND_LAST_TWO_YEARS","CURRENT_AND_LAST_MONTH","CURRENT_AND_LAST_WEEK","LAST_TWELVE_MONTHS","LAST_SEVEN_DAYS","TODAY","UNBOUND"]}}},"common-cunit-QueryPresetPredicate":{"description":"Bedingungen zur Selektion von Lagerplätzen","properties":{"type":{"type":"string","description":"die Operation für diesen Filter","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"(bei junction) child-definitionen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"filter werte","items":{"type":"string","description":"filter werte"}},"visible":{"type":"boolean","default":true,"description":"Sichtbarkeit bei Variablen"},"functions":{"type":"array","description":"Eine SQL-Funktion, die im Predicate angewendet wird","items":{"type":"string","description":"Eine SQL-Funktion, die im Predicate angewendet wird"}}},"required":["operator","type"]},"erp-statistic-DataSeries":{"properties":{"seriesLabel":{"type":"string","description":"Label of the data series"},"seriesType":{"type":"string","description":"Type of the data series"},"seriesEntryType":{"type":"string","description":"Type of data series value "},"seriesGroupHeader":{"type":"array","description":"the Header for grouping operation (normally the year)","items":{"type":"string","description":"the Header for grouping operation (normally the year)"}},"series":{"type":"array","description":"List of series entries","items":{"$ref":"#/components/schemas/erp-statistic-DataSeriesEntry"}}}},"erp-statistic-DataSeriesEntry":{"description":"List of series entries","properties":{"entryLabel":{"type":"integer","format":"int64","description":"the position of this Entry with respect to the given TimeSeriesGrouping "},"value":{"type":"array","description":"value of this entry","items":{"type":"object","description":"value of this entry"}}}}}}}
```

## GET /erp/statistics/time-series

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.29.3"},"tags":[{"name":"dataseries","description":"request resource to our datamarts"}],"servers":[{"url":"http://10.102.24.74:32794/api","description":"Generated server url"}],"paths":{"/erp/statistics/time-series":{"get":{"tags":["dataseries"],"operationId":"getQueries","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-statistic-QueryAlias"}}}}}}}}},"components":{"schemas":{"erp-statistic-QueryAlias":{"properties":{"id":{"type":"string","description":"id for the query"},"description":{"type":"string","description":"description of this query"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.vario-software.de/api-reference/dataseries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
